BackPrevious Page Next PageNext

System Requirements

This topic shows the basic system requirements for installing the Logi Report products. Check your system to make sure that all the requirements are met before installation.

Designer System Requirements
  Recommended Requirements Minimum Requirements
OS: Windows x64, Unix x64, Linux x64, macOS Sierra Windows, Unix, Linux, macOS Sierra
CPU: Quad Core processor Dual Core processor
Free Memory: 4 GB 2 GB
Free Disk: 2 GB 1 GB
JDK: Oracle JDK 8, 9, 11 and 12, OpenJDK 8, 11, 12 and 13 JDK 8, OpenJDK 8
Browser: Latest releases of Chrome, Firefox, IE, Edge, Safari Chrome 23, Firefox 20, IE 9, Edge, Safari 10
Server System Requirements
  Recommended Requirements Minimum Requirements
OS: Windows x64, Unix x64, Linux x64, Linux on IBM Z Windows, Unix, Linux, Linux on IBM Z
CPU: Quad Core processor Dual Core processor
Free Memory: 8 GB 4 GB
Free Disk: 10 GB 1 GB
JDK: Oracle JDK 8, 9, 11 and 12, OpenJDK 8, 11, 12 and 13 JDK 8, OpenJDK 8
Browser: Latest releases of Chrome, Firefox, IE, Edge, Safari Chrome 23, Firefox 20, IE 9, Edge, Safari 10

You can download the official JDK version from https://www.oracle.com/technetwork/java/javase/downloads/index.html.

Critical icon

  • Logi Report supports Java VMs from Oracle and IBM. Other vendor's Java VMs may cause unexpected errors. Logi Analytics technical support welcomes any feedback on the use of any other Java VMs.
  • If you are using a 4K resolution device to run Designer, you are recommended to use JDK 9 or above in order to get a better display.
  • When installing Designer on Retina devices, you must use JDK 9 or above.
  • If you want to use Server on the Linux on IBM Z system, you must download the JDK specially used for IBM from http://www-03.ibm.com/servers/eserver/zseries/software/java/.
  • You are not recommended to run Logi Report in the Internet Explorer Compatibility View mode.

Back to top

BackPrevious Page Next PageNext